New test cases for java support.
[deliverable/binutils-gdb.git] / configure.in
1 #! /bin/bash
2 ##############################################################################
3
4 ## This file is a shell script fragment that supplies the information
5 ## necessary to tailor a template configure script into the configure
6 ## script appropriate for this directory. For more information, check
7 ## any existing configure script.
8
9 ## Be warned, there are two types of configure.in files. There are those
10 ## used by Autoconf, which are macros which are expanded into a configure
11 ## script by autoconf. The other sort, of which this is one, is executed
12 ## by Cygnus configure.
13
14 ## For more information on these two systems, check out the documentation
15 ## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
17 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998,
18 # 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify it
21 # under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful, but
26 # WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
28 # General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; if not, write to the Free Software
32 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33
34 ##############################################################################
35
36 ### To add a new directory to the tree, first choose whether it is a target
37 ### or a host dependent tool. Then put it into the appropriate list
38 ### (library or tools, host or target), doing a dependency sort. For
39 ### example, gdb requires that byacc (or bison) be built first, so it is in
40 ### the ${host_tools} list after byacc and bison.
41
42
43 # these libraries are used by various programs built for the host environment
44 #
45 host_libs="intl mmalloc libiberty opcodes bfd readline gash db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
46
47 if [ "${enable_gdbgui}" = "yes" ] ; then
48 host_libs="${host_libs} libgui"
49 fi
50
51 libstdcxx_version="target-libstdc++-v3"
52 # Don't use libstdc++-v3's flags to configure/build itself.
53 libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
54
55 # these tools are built for the host environment
56 # Note, the powerpc-eabi build depends on sim occurring before gdb in order to
57 # know that we are building the simulator.
58 host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
59
60 # libgcj represents the runtime libraries only used by gcj.
61 libgcj="target-libffi \
62 target-boehm-gc \
63 target-zlib \
64 target-qthreads \
65 target-libjava"
66
67 # these libraries are built for the target environment, and are built after
68 # the host libraries and the host tools (which may be a cross compiler)
69 #
70 target_libs="target-libiberty \
71 target-libgloss \
72 target-newlib \
73 target-librx \
74 ${libstdcxx_version} \
75 target-libf2c \
76 ${libgcj}
77 target-libobjc"
78
79 # these tools are built using the target libs, and are intended to run only
80 # in the target environment
81 #
82 # note: any program that *uses* libraries that are in the "target_libs"
83 # list belongs in this list. those programs are also very likely
84 # candidates for the "native_only" list which follows
85 #
86 target_tools="target-examples target-groff target-gperf"
87
88 ################################################################################
89
90 ## These two lists are of directories that are to be removed from the
91 ## ${configdirs} list for either cross-compilations or for native-
92 ## compilations. For example, it doesn't make that much sense to
93 ## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
94 ## a native environment.
95
96 # directories to be built in the native environment only
97 #
98 # This must be a single line because of the way it is searched by grep in
99 # the code below.
100 native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
101
102 # directories to be built in a cross environment only
103 #
104 cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
105
106 ## All tools belong in one of the four categories, and are assigned above
107 ## We assign ${configdirs} this way to remove all embedded newlines. This
108 ## is important because configure will choke if they ever get through.
109 ## ${configdirs} is directories we build using the host tools.
110 ## ${target_configdirs} is directories we build using the target tools.
111 #
112 configdirs=`echo ${host_libs} ${host_tools}`
113 target_configdirs=`echo ${target_libs} ${target_tools}`
114
115 ################################################################################
116
117 srctrigger=move-if-change
118 srcname="gnu development package"
119
120 # This gets set non-empty for some net releases of packages.
121 appdirs=""
122
123 # per-host:
124
125 # Work in distributions that contain no compiler tools, like Autoconf.
126 tentative_cc=""
127 if [ -d ${srcdir}/config ]; then
128 case "${host}" in
129 m68k-hp-hpux*)
130 # Avoid "too much defining" errors from HPUX compiler.
131 tentative_cc="cc -Wp,-H256000"
132 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
133 ;;
134 m68k-apollo-sysv*)
135 tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
136 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
137 ;;
138 m68k-apollo-bsd*)
139 #None of the Apollo compilers can compile gas or binutils. The preprocessor
140 # chokes on bfd, the compiler won't let you assign integers to enums, and
141 # other problems. Defining CC to gcc is a questionable way to say "don't use
142 # the apollo compiler" (the preferred version of GCC could be called cc,
143 # or whatever), but I'm not sure leaving CC as cc is any better...
144 #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
145 tentative_cc=gcc
146 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
147 ;;
148 m88k-dg-dgux*)
149 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
150 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
151 ;;
152 m88k-harris-cxux*)
153 # Under CX/UX, we want to tell the compiler to use ANSI mode.
154 tentative_cc="cc -Xa"
155 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
156 ;;
157 m88k-motorola-sysv*)
158 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
159 ;;
160 mips*-dec-ultrix*)
161 tentative_cc="cc -Wf,-XNg1000"
162 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
163 ;;
164 mips*-nec-sysv4*)
165 # The C compiler on NEC MIPS SVR4 needs bigger tables.
166 tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
167 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
168 ;;
169 mips*-sgi-irix6*)
170 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
171 ;;
172 mips*-sgi-irix5*)
173 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
174 ;;
175 mips*-sgi-irix4*)
176 # Tell compiler to use K&R C. We can't compile under the SGI Ansi
177 # environment. Also bump switch table size so that cp-parse will
178 # compile. Bump string length limit so linker builds.
179 tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
180 host_makefile_frag="${host_makefile_frag} config/mh-irix4"
181 ;;
182 mips*-sgi-irix3*)
183 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
184 ;;
185 mips*-*-sysv4*)
186 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
187 ;;
188 mips*-*-sysv*)
189 # This is for a MIPS running RISC/os 4.52C.
190
191 # This is needed for GDB, but needs to be in the top-level make because
192 # if a library is compiled with the bsd headers and gets linked with the
193 # sysv system libraries all hell can break loose (e.g. a jmp_buf might be
194 # a different size).
195 # ptrace(2) apparently has problems in the BSD environment. No workaround is
196 # known except to select the sysv environment. Could we use /proc instead?
197 # These "sysv environments" and "bsd environments" often end up being a pain.
198 #
199 # This is not part of CFLAGS because perhaps not all C compilers have this
200 # option.
201 tentative_cc="cc -systype sysv"
202 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
203 ;;
204 i370-ibm-opened*)
205 tentative_cc="c89"
206 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
207 ;;
208 i[3456]86-*-sysv5*)
209 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
210 ;;
211 i[3456]86-*-dgux*)
212 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
213 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
214 ;;
215 i[3456]86-ncr-sysv4.3*)
216 # The MetaWare compiler will generate a copyright message unless you
217 # turn it off by adding the -Hnocopyr flag.
218 tentative_cc="cc -Hnocopyr"
219 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
220 ;;
221 i[3456]86-ncr-sysv4*)
222 # for an NCR 3000 (i486/SVR4) system.
223 # The NCR 3000 ships with a MetaWare compiler installed as /bin/cc.
224 # This compiler not only emits obnoxious copyright messages every time
225 # you run it, but it chokes and dies on a whole bunch of GNU source
226 # files. Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
227 tentative_cc="/usr/ccs/ATT/cc"
228 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
229 ;;
230 i[3456]86-*-sco3.2v5*)
231 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
232 ;;
233 i[3456]86-*-sco*)
234 # The native C compiler botches some simple uses of const. Unfortunately,
235 # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
236 tentative_cc="cc -Dconst="
237 host_makefile_frag="${host_makefile_frag} config/mh-sco"
238 ;;
239 i[3456]86-*-udk*)
240 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
241 ;;
242 i[3456]86-*-isc*)
243 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
244 ;;
245 i[3456]86-*-solaris2*)
246 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
247 ;;
248 i[3456]86-*-aix*)
249 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
250 ;;
251 i[3456]86-*-msdosdjgpp*)
252 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
253 ;;
254 *-cygwin*)
255 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
256 ;;
257 *-mingw32*)
258 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
259 ;;
260 *-interix*)
261 host_makefile_frag="${host_makefile_frag} config/mh-interix"
262 ;;
263 *-windows*)
264 host_makefile_frag="${host_makefile_frag} config/mh-windows"
265 ;;
266 vax-*-ultrix2*)
267 # The old BSD pcc isn't up to compiling parts of gdb so use gcc
268 tentative_cc=gcc
269 ;;
270 *-*-solaris2*)
271 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
272 ;;
273 m68k-sun-sunos*)
274 # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
275 # without overflowing the jump tables (-J says to use a 32 bit table)
276 tentative_cc="cc -J"
277 ;;
278 *-hp-hpux[78]*)
279 tentative_cc="cc -Wp,-H256000"
280 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
281 ;;
282 *-hp-hpux*)
283 tentative_cc="cc -Wp,-H256000"
284 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
285 ;;
286 *-*-hiux*)
287 tentative_cc="cc -Wp,-H256000"
288 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
289 ;;
290 rs6000-*-lynxos*)
291 # /bin/cc is less than useful for our purposes. Always use GCC
292 tentative_cc="/usr/cygnus/progressive/bin/gcc"
293 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
294 ;;
295 *-*-lynxos*)
296 # /bin/cc is less than useful for our purposes. Always use GCC
297 tentative_cc="/bin/gcc"
298 ;;
299 *-*-sysv4*)
300 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
301 ;;
302 *-*-sysv*)
303 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
304 ;;
305 esac
306 fi
307
308 # If we aren't going to be using gcc, see if we can extract a definition
309 # of CC from the fragment.
310 # Actually, use the 'pre-extracted' version above.
311 if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
312 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
313 found=
314 for dir in $PATH; do
315 test -z "$dir" && dir=.
316 if test -f $dir/gcc; then
317 found=yes
318 break
319 fi
320 done
321 IFS="$save_ifs"
322 if [ -z "${found}" ] && [ -n "${tentative_cc}" ] ; then
323 CC=$tentative_cc
324 fi
325 fi
326
327 # We default to --with-shared on platforms where -fpic is meaningless.
328 # Well, we don't yet, but we will.
329 if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
330 case "${target}" in
331 alpha*-dec-osf*) enable_shared=yes ;;
332 alpha*-*-linux*) enable_shared=yes ;;
333 mips-sgi-irix5*) enable_shared=yes ;;
334 *) enable_shared=no ;;
335 esac
336 fi
337
338 # hpux11 in 64bit mode has libraries in a weird place. Arrange to find
339 # them automatically.
340 case "${host}" in
341 hppa*64*-*-hpux11*)
342 withoptions="$withoptions -x-libraries=/usr/lib/pa20_64 -x-includes=/usr/X11R6/include"
343 ;;
344 esac
345
346 case "${enable_shared}" in
347 yes) shared=yes ;;
348 no) shared=no ;;
349 "") shared=no ;;
350 *) shared=yes ;;
351 esac
352
353 if [ x${shared} = xyes ]; then
354 case "${host}" in
355 alpha*-*-linux*)
356 host_makefile_frag="${host_makefile_frag} config/mh-elfalphapic"
357 ;;
358 arm*-*-*)
359 host_makefile_frag="${host_makefile_frag} config/mh-armpic"
360 ;;
361 parisc*-*-* | hppa*-*-*)
362 host_makefile_frag="${host_makefile_frag} config/mh-papic"
363 ;;
364 i[3456]86-*-cygwin*)
365 # We don't want -fPIC on Cygwin.
366 ;;
367 i[3456]86-*-*)
368 host_makefile_frag="${host_makefile_frag} config/mh-x86pic"
369 ;;
370 i370-*-*)
371 host_makefile_frag="${host_makefile_frag} config/mh-i370pic"
372 ;;
373 ia64-*-*)
374 host_makefile_frag="${host_makefile_frag} config/mh-ia64pic"
375 ;;
376 sparc64-*-*)
377 host_makefile_frag="${host_makefile_frag} config/mh-sparcpic"
378 ;;
379 powerpc*-*-aix*)
380 # We don't want -fPIC on AIX.
381 ;;
382 powerpc*-*-*)
383 host_makefile_frag="${host_makefile_frag} config/mh-ppcpic"
384 ;;
385 s390-* | s390x-*)
386 host_makefile_frag="${host_makefile_frag} config/mh-s390pic"
387 ;;
388 *-*-*)
389 if test -f ${srcdir}/config/mh-${host_cpu}pic; then
390 host_makefile_frag="${host_makefile_frag} config/mh-${host_cpu}pic"
391 fi
392 ;;
393 esac
394 fi
395
396 rm -f mh-frag
397 if [ -n "${host_makefile_frag}" ] ; then
398 for f in ${host_makefile_frag}
399 do
400 cat ${srcdir}/$f >> mh-frag
401 done
402 host_makefile_frag=mh-frag
403 fi
404
405 # per-target:
406
407 case "${target}" in
408 v810*)
409 target_makefile_frag="${target_makefile_frag} config/mt-v810"
410 ;;
411 i[3456]86-*-netware*)
412 target_makefile_frag="${target_makefile_frag} config/mt-netware"
413 ;;
414 powerpc-*-netware*)
415 target_makefile_frag="${target_makefile_frag} config/mt-netware"
416 ;;
417 alpha*-*-linux*)
418 target_makefile_frag="${target_makefile_frag} config/mt-linux"
419 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
420 ;;
421 alpha*-*-*)
422 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
423 ;;
424 *-*-linux*)
425 target_makefile_frag="${target_makefile_frag} config/mt-linux"
426 ;;
427 *-*-aix4.[3456789]* | *-*-aix[56789].*)
428 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
429 ;;
430 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
431 target_makefile_frag="${target_makefile_frag} config/mt-wince"
432 ;;
433 esac
434
435 # If --enable-target-optspace always use -Os instead of -O2 to build
436 # the target libraries, similarly if it is not specified, use -Os
437 # on selected platforms.
438 case "${enable_target_optspace}:${target}" in
439 yes:*)
440 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
441 ;;
442 :d30v-*)
443 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
444 ;;
445 :m32r-* | :d10v-* | :fr30-*)
446 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
447 ;;
448 no:* | :*)
449 ;;
450 *)
451 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
452 ;;
453 esac
454
455 skipdirs=
456 gasdir=gas
457 use_gnu_ld=
458 use_gnu_as=
459
460 # some tools are so dependent upon X11 that if we're not building with X,
461 # it's not even worth trying to configure, much less build, that tool.
462
463 case ${with_x} in
464 yes | "") # the default value for this tree is that X11 is available
465 ;;
466 no)
467 skipdirs="${skipdirs} tk libgui gash"
468 ;;
469 *)
470 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
471 ;;
472 esac
473
474 # Some tools are only suitable for building in a "native" situation.
475 # Those are added when we have a host==target configuration. For cross
476 # toolchains, we add some directories that should only be useful in a
477 # cross-compiler.
478
479 is_cross_compiler=
480
481 if [ x"${host}" = x"${target}" ] ; then
482 # when doing a native toolchain, don't build the targets
483 # that are in the 'cross only' list
484 skipdirs="${skipdirs} ${cross_only}"
485 is_cross_compiler=no
486 else
487 # similarly, don't build the targets in the 'native only'
488 # list when building a cross compiler
489 skipdirs="${skipdirs} ${native_only}"
490 is_cross_compiler=yes
491 fi
492
493 # We always want to use the same name for this directory, so that dejagnu
494 # can reliably find it.
495 target_subdir=${target_alias}
496
497 if [ ! -d ${target_subdir} ] ; then
498 if mkdir ${target_subdir} ; then true
499 else
500 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
501 exit 1
502 fi
503 fi
504
505 build_subdir=${build_alias}
506
507 if [ x"${build_alias}" != x"${host}" ] ; then
508 if [ ! -d ${build_subdir} ] ; then
509 if mkdir ${build_subdir} ; then true
510 else
511 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
512 exit 1
513 fi
514 fi
515 fi
516
517 copy_dirs=
518
519 # Handle --with-headers=XXX. The contents of the named directory are
520 # copied to $(tooldir)/sys-include.
521 if [ x"${with_headers}" != x ]; then
522 if [ x${is_cross_compiler} = xno ]; then
523 echo 1>&2 '***' --with-headers is only supported when cross compiling
524 exit 1
525 fi
526 case "${exec_prefixoption}" in
527 "") x=${prefix} ;;
528 *) x=${exec_prefix} ;;
529 esac
530 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
531 fi
532
533 # Handle --with-libs=XXX. Multiple directories are permitted. The
534 # contents are copied to $(tooldir)/lib.
535 if [ x"${with_libs}" != x ]; then
536 if [ x${is_cross_compiler} = xno ]; then
537 echo 1>&2 '***' --with-libs is only supported when cross compiling
538 exit 1
539 fi
540 # Copy the libraries in reverse order, so that files in the first named
541 # library override files in subsequent libraries.
542 case "${exec_prefixoption}" in
543 "") x=${prefix} ;;
544 *) x=${exec_prefix} ;;
545 esac
546 for l in ${with_libs}; do
547 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
548 done
549 fi
550
551 # If both --with-headers and --with-libs are specified, default to
552 # --without-newlib.
553 if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
554 if [ x"${with_newlib}" = x ]; then
555 with_newlib=no
556 fi
557 fi
558
559 # Recognize --with-newlib/--without-newlib.
560 if [ x${with_newlib} = xno ]; then
561 skipdirs="${skipdirs} target-newlib"
562 elif [ x${with_newlib} = xyes ]; then
563 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
564 fi
565
566 # Default to using --with-stabs for certain targets.
567 if [ x${with_stabs} = x ]; then
568 case "${target}" in
569 mips*-*-irix6*)
570 ;;
571 mips*-*-* | alpha*-*-osf*)
572 with_stabs=yes;
573 withoptions="${withoptions} --with-stabs"
574 ;;
575 esac
576 fi
577
578 # Handle ${copy_dirs}
579 set fnord ${copy_dirs}
580 shift
581 while [ $# != 0 ]; do
582 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
583 :
584 else
585 echo Copying $1 to $2
586
587 # Use the install script to create the directory and all required
588 # parent directories.
589 if [ -d $2 ]; then
590 :
591 else
592 echo >config.temp
593 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
594 fi
595
596 # Copy the directory, assuming we have tar.
597 # FIXME: Should we use B in the second tar? Not all systems support it.
598 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
599
600 # It is the responsibility of the user to correctly adjust all
601 # symlinks. If somebody can figure out how to handle them correctly
602 # here, feel free to add the code.
603
604 echo $1 > $2/COPIED
605 fi
606 shift; shift
607 done
608
609 # Configure extra directories which are host specific
610
611 case "${host}" in
612 i[3456]86-*-go32*)
613 configdirs="$configdirs dosrel" ;;
614 i[3456]86-*-mingw32*)
615 configdirs="$configdirs dosrel" ;;
616 *-cygwin*)
617 configdirs="$configdirs libtermcap dosrel" ;;
618 esac
619
620 # Remove more programs from consideration, based on the host or
621 # target this usually means that a port of the program doesn't
622 # exist yet.
623
624 noconfigdirs=""
625
626 case "${host}" in
627 hppa*64*-*-*)
628 noconfigdirs="$noconfigdirs byacc"
629 ;;
630 i[3456]86-*-vsta)
631 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
632 ;;
633 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
634 noconfigdirs="tcl tk expect dejagnu send-pr uudecode guile apache inet itcl tix db snavigator gnuserv libffi"
635 ;;
636 i[3456]86-*-mingw32*)
637 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
638 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
639 ;;
640 i[3456]86-*-beos*)
641 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
642 ;;
643 *-*-cygwin*)
644 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
645 ;;
646 *-*-netbsd*)
647 noconfigdirs="rcs"
648 ;;
649 ppc*-*-pe)
650 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
651 ;;
652 powerpc-*-beos*)
653 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
654 ;;
655 esac
656
657 # Save it here so that, even in case of --enable-libgcj, if the Java
658 # front-end isn't enabled, we still get libgcj disabled.
659 libgcj_saved=$libgcj
660 case $enable_libgcj in
661 yes)
662 # If we reset it here, it won't get added to noconfigdirs in the
663 # target-specific build rules, so it will be forcibly enabled
664 # (unless the Java language itself isn't enabled).
665 libgcj=
666 ;;
667 no)
668 # Make sure we get it printed in the list of not supported target libs.
669 noconfigdirs="$noconfigdirs ${libgcj}"
670 ;;
671 esac
672
673 case "${target}" in
674 *-*-chorusos)
675 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
676 ;;
677 *-*-freebsd[12] | *-*-freebsd[12].* | *-*-freebsd*aout*)
678 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
679 ;;
680 *-*-netbsd*)
681 # Skip some stuff on all NetBSD configurations.
682 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
683
684 # Skip some stuff that's unsupported on some NetBSD configurations.
685 case "${target}" in
686 i*86-*-netbsdelf*) ;;
687 *)
688 noconfigdirs="$noconfigdirs ${libgcj}"
689 ;;
690 esac
691 ;;
692 *-*-netware)
693 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
694 ;;
695 *-*-rtems*)
696 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
697 ;;
698 *-*-vxworks*)
699 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
700 ;;
701 alpha*-dec-osf*)
702 # ld works, but does not support shared libraries. emacs doesn't
703 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
704 # gas doesn't generate exception information.
705 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
706 ;;
707 alpha*-*-*vms*)
708 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
709 ;;
710 alpha*-*-linux*)
711 # newlib is not 64 bit ready
712 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
713 # linux has rx in libc
714 skipdirs="$skipdirs target-librx"
715 ;;
716 alpha*-*-freebsd*)
717 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
718 ;;
719 alpha*-*-*)
720 # newlib is not 64 bit ready
721 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
722 ;;
723 sh-*-linux*)
724 noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
725 # linux has rx in libc
726 skipdirs="$skipdirs target-librx"
727 ;;
728 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
729 noconfigdirs="$noconfigdirs ${libgcj}"
730 noconfigdirs="$noconfigdirs target-examples"
731 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
732 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
733 noconfigdirs="$noconfigdirs expect dejagnu"
734 # the C++ libraries don't build on top of CE's C libraries
735 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
736 skipdirs="$skipdirs target-newlib"
737 case "${host}" in
738 *-*-cygwin*) ;; # keep gdb and readline
739 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
740 ;;
741 esac
742 ;;
743 arc-*-*)
744 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
745 ;;
746 arm-*-pe*)
747 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
748 ;;
749 arm-*-oabi*)
750 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
751 ;;
752 thumb-*-coff)
753 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
754 ;;
755 thumb-*-elf)
756 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
757 ;;
758 thumb-*-oabi)
759 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
760 ;;
761 strongarm-*-elf)
762 noconfigdirs="$noconfigdirs ${libgcj}"
763 ;;
764 strongarm-*-coff)
765 noconfigdirs="$noconfigdirs ${libgcj}"
766 ;;
767 xscale-*-elf)
768 noconfigdirs="$noconfigdirs target-libffi target-qthreads"
769 ;;
770 xscale-*-coff)
771 noconfigdirs="$noconfigdirs ${libgcj}"
772 ;;
773 thumb-*-pe)
774 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
775 ;;
776 arm-*-riscix*)
777 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
778 ;;
779 c4x-*-*)
780 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
781 ;;
782 c54x*-*-* | tic54x-*-*)
783 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
784 ;;
785 cris-*-*)
786 noconfigdirs="$noconfigdirs ${libgcj}"
787 ;;
788 d10v-*-*)
789 noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
790 ;;
791 d30v-*-*)
792 noconfigdirs="$noconfigdirs ${libgcj}"
793 ;;
794 fr30-*-elf*)
795 noconfigdirs="$noconfigdirs ${libgcj}"
796 if [ x${is_cross_compiler} != xno ] ; then
797 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
798 fi
799 ;;
800 h8300*-*-*)
801 noconfigdirs="$noconfigdirs target-libgloss"
802 ;;
803 h8500-*-*)
804 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
805 ;;
806 hppa*64*-*-linux* | parisc*64*-*-linux*)
807 # In this case, it's because the hppa64-linux target is for
808 # the kernel only at this point and has no libc, and thus no
809 # headers, crt*.o, etc., all of which are needed by these.
810 noconfigdirs="$noconfigdirs target-zlib"
811 ;;
812 hppa*-*-*elf* | \
813 parisc*-*-linux* | hppa*-*-linux* | \
814 hppa*-*-lites* | \
815 hppa*64*-*-*)
816 noconfigdirs="$noconfigdirs ${libgcj}"
817 # Do configure ld/binutils/gas for this case.
818 ;;
819 hppa*-*-*)
820 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
821 # cc is gcc, and on any system a user should be able to link cc to
822 # whatever they want. FIXME, emacs emacs19).
823 case "${CC}" in
824 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
825 *) ;;
826 esac
827 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
828 # build on HP-UX 10.20.
829 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
830 ;;
831 ia64*-*-elf*)
832 # No gdb support yet.
833 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
834 ;;
835 ia64*-**-hpux*)
836 # No gdb or ld support yet.
837 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
838 ;;
839 i[3456]86-*-coff | i[3456]86-*-elf)
840 noconfigdirs="$noconfigdirs ${libgcj}"
841 if [ x${is_cross_compiler} != xno ] ; then
842 target_configdirs="${target_configdirs} target-libstub target-cygmon"
843 fi
844 ;;
845 i[34567]86-*-freebsd*)
846 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
847 ;;
848 *-*-linux*)
849 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
850 # linux has rx in libc
851 skipdirs="$skipdirs target-librx"
852 ;;
853 i[3456]86-*-mingw32*)
854 target_configdirs="$target_configdirs target-mingw"
855 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
856
857 # Can't build gdb for mingw32 if not native.
858 case "${host}" in
859 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
860 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
861 ;;
862 esac
863 ;;
864 *-*-cygwin*)
865 target_configdirs="$target_configdirs target-libtermcap target-winsup"
866 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
867 # always build newlib.
868 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
869
870 # Can't build gdb for Cygwin if not native.
871 case "${host}" in
872 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
873 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
874 ;;
875 esac
876 ;;
877 i[3456]86-*-pe)
878 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
879 ;;
880 i[3456]86-*-sco3.2v5*)
881 # The linker does not yet know about weak symbols in COFF,
882 # and is not configured to handle mixed ELF and COFF.
883 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
884 ;;
885 i[3456]86-*-sco*)
886 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
887 ;;
888 i[3456]86-*-solaris2*)
889 noconfigdirs="$noconfigdirs target-libgloss"
890 ;;
891 i[3456]86-*-sysv4*)
892 # The SYSV4 C compiler doesn't handle Emacs correctly
893 case "${CC}" in
894 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
895 *) ;;
896 esac
897 # but that's okay since emacs doesn't work anyway
898 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
899 ;;
900 i[3456]86-*-beos*)
901 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
902 ;;
903 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
904 noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
905 ;;
906 m68k-*-elf*)
907 noconfigdirs="$noconfigdirs ${libgcj}"
908 if [ x${is_cross_compiler} != xno ] ; then
909 target_configdirs="${target_configdirs} target-bsp target-cygmon"
910 fi
911 ;;
912 m68k-*-coff*)
913 noconfigdirs="$noconfigdirs ${libgcj}"
914 if [ x${is_cross_compiler} != xno ] ; then
915 target_configdirs="${target_configdirs} target-bsp target-cygmon"
916 fi
917 ;;
918 mcore-*-pe*)
919 # The EPOC C++ environment does not support exceptions or rtti,
920 # and so building libstdc++-v3 tends not to always work.
921 noconfigdirs="$noconfigdirs target-libstdc++-v3"
922 ;;
923 mmix-*-*)
924 noconfigdirs="$noconfigdirs ${libgcj}"
925 ;;
926 mn10200-*-*)
927 noconfigdirs="$noconfigdirs ${libgcj}"
928 if [ x${is_cross_compiler} != xno ] ; then
929 target_configdirs="${target_configdirs} target-libstub target-cygmon"
930 fi
931 ;;
932 mn10300-*-*)
933 noconfigdirs="$noconfigdirs ${libgcj}"
934 if [ x${is_cross_compiler} != xno ] ; then
935 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
936 fi
937 ;;
938 powerpc-*-aix*)
939 # copied from rs6000-*-* entry
940 noconfigdirs="$noconfigdirs gprof cvssrc target-libgloss ${libgcj}"
941 use_gnu_ld=yes
942 ;;
943 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
944 target_configdirs="$target_configdirs target-winsup"
945 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv ${libgcj}"
946 # always build newlib.
947 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
948 ;;
949 # This is temporary until we can link against shared libraries
950 powerpcle-*-solaris*)
951 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv ${libgcj}"
952 ;;
953 powerpc-*-beos*)
954 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
955 ;;
956 powerpc-*-eabi)
957 noconfigdirs="$noconfigdirs ${libgcj}"
958 if [ x${is_cross_compiler} != xno ] ; then
959 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
960 fi
961 ;;
962 rs6000-*-lynxos*)
963 # The CVS server code doesn't work on the RS/6000
964 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc ${libgcj}"
965 ;;
966 rs6000-*-aix*)
967 noconfigdirs="$noconfigdirs gprof ${libgcj}"
968 use_gnu_ld=yes
969 ;;
970 rs6000-*-*)
971 noconfigdirs="$noconfigdirs gprof ${libgcj}"
972 ;;
973 m68k-apollo-*)
974 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss ${libgcj}"
975 ;;
976 mips*-*-irix5*)
977 # The GNU linker does not support shared libraries.
978 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
979 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
980 ;;
981 mips*-*-irix6*)
982 # The GNU assembler does not support IRIX 6.
983 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
984 # Linking libjava exceeds command-line length limits on at least
985 # IRIX 6.2, but not on IRIX 6.5.
986 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
987 # <oldham@codesourcery.com>
988 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
989 ;;
990 mips*-dec-bsd*)
991 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
992 ;;
993 mips*-*-bsd*)
994 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
995 ;;
996 mipstx39-*-*)
997 noconfigdirs="$noconfigdirs gprof ${libgcj}" # same as generic mips
998 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
999 ;;
1000 mips*-*-linux*)
1001 noconfigdirs="$noconfigdirs target-libffi"
1002 ;;
1003 mips*-*-*)
1004 noconfigdirs="$noconfigdirs gprof ${libgcj}"
1005 ;;
1006 romp-*-*)
1007 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
1008 ;;
1009 sh-*-*)
1010 case "${host}" in
1011 i[3456]86-*-vsta) ;; # don't add gprof back in
1012 i[3456]86-*-go32*) ;; # don't add gprof back in
1013 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
1014 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
1015 esac
1016 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1017 ;;
1018 sh64-*-*)
1019 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1020 ;;
1021 sparc-*-elf*)
1022 if [ x${is_cross_compiler} != xno ] ; then
1023 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1024 fi
1025 ;;
1026 sparc64-*-elf*)
1027 if [ x${is_cross_compiler} != xno ] ; then
1028 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1029 fi
1030 ;;
1031 sparclite-*-*)
1032 if [ x${is_cross_compiler} != xno ] ; then
1033 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
1034 fi
1035 noconfigdirs="$noconfigdirs ${libgcj}"
1036 ;;
1037 sparc-*-sunos4*)
1038 noconfigdirs="$noconfigdirs ${libgcj}"
1039 if [ x${is_cross_compiler} != xno ] ; then
1040 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
1041 else
1042 use_gnu_ld=no
1043 fi
1044 ;;
1045 sparc-*-solaris*)
1046 ;;
1047 v810-*-*)
1048 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
1049 ;;
1050 v850-*-*)
1051 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1052 ;;
1053 v850e-*-*)
1054 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1055 ;;
1056 v850ea-*-*)
1057 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1058 ;;
1059 vax-*-vms)
1060 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss ${libgcj}"
1061 ;;
1062 vax-*-*)
1063 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1064 ;;
1065 *-*-lynxos*)
1066 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1067 ;;
1068 *-*-macos* | \
1069 *-*-mpw*)
1070 # Macs want a resource compiler.
1071 configdirs="$configdirs grez"
1072 noconfigdirs="$noconfigdirs ${libgcj}"
1073 ;;
1074 *-*-*)
1075 noconfigdirs="$noconfigdirs ${libgcj}"
1076 ;;
1077 esac
1078
1079 # If we aren't building newlib, then don't build libgloss, since libgloss
1080 # depends upon some newlib header files.
1081 case "${noconfigdirs}" in
1082 *target-libgloss*) ;;
1083 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
1084 esac
1085
1086 # Make sure we don't let GNU ld be added if we didn't want it.
1087 if [ x$with_gnu_ld = xno ]; then
1088 use_gnu_ld=no
1089 noconfigdirs="$noconfigdirs ld"
1090 fi
1091
1092 # Make sure we don't let GNU as be added if we didn't want it.
1093 if [ x$with_gnu_as = xno ]; then
1094 use_gnu_as=no
1095 noconfigdirs="$noconfigdirs gas"
1096 fi
1097
1098 # Figure out what language subdirectories are present.
1099 # Look if the user specified --enable-languages="..."; if not, use
1100 # the environment variable $LANGUAGES if defined. $LANGUAGES might
1101 # go away some day.
1102 # NB: embedded tabs in this IF block -- do not untabify
1103 if test x"${enable_languages+set}" != xset; then
1104 if test x"${LANGUAGES+set}" = xset; then
1105 enable_languages="${LANGUAGES}"
1106 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
1107 else
1108 enable_languages=all
1109 fi
1110 else
1111 if test x"${enable_languages}" = x ||
1112 test x"${enable_languages}" = xyes;
1113 then
1114 echo configure.in: --enable-languages needs at least one language argument 1>&2
1115 exit 1
1116 fi
1117 fi
1118 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1119
1120 # First scan to see if an enabled language requires some other language.
1121 # We assume that a given config-lang.in will list all the language
1122 # front ends it requires, even if some are required indirectly.
1123 for lang in ${srcdir}/gcc/*/config-lang.in ..
1124 do
1125 case $lang in
1126 ..)
1127 ;;
1128 # The odd quoting in the next line works around
1129 # an apparent bug in bash 1.12 on linux.
1130 ${srcdir}/gcc/[*]/config-lang.in)
1131 ;;
1132 *)
1133 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1134 this_lang_requires=`sed -n -e 's,^lang_requires=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_requires=\([^ ]*\).*$,\1,p' $lang`
1135 for other in $this_lang_requires
1136 do
1137 case ,${enable_languages}, in
1138 *,$other,*)
1139 ;;
1140 *,all,*)
1141 ;;
1142 *,$lang_alias,*)
1143 echo " \`$other' language required by \`$lang_alias'; enabling" 1>&2
1144 enable_languages="$enable_languages,$other"
1145 ;;
1146 esac
1147 done
1148 ;;
1149 esac
1150 done
1151
1152 subdirs=
1153 for lang in ${srcdir}/gcc/*/config-lang.in ..
1154 do
1155 case $lang in
1156 ..) ;;
1157 # The odd quoting in the next line works around
1158 # an apparent bug in bash 1.12 on linux.
1159 ${srcdir}/gcc/[*]/config-lang.in) ;;
1160 *)
1161 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1162 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
1163 this_lang_dirs=`sed -n -e 's,^lang_dirs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_dirs=\([^ ]*\).*$,\1,p' $lang`
1164 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1165 if test "x$lang_alias" = x
1166 then
1167 echo "$lang doesn't set \$language." 1>&2
1168 exit 1
1169 fi
1170 case ${build_by_default},${enable_languages}, in
1171 *,$lang_alias,*) add_this_lang=yes ;;
1172 no,*) add_this_lang=no ;;
1173 *,all,*) add_this_lang=yes ;;
1174 *) add_this_lang=no ;;
1175 esac
1176 if test x"${add_this_lang}" = xyes; then
1177 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1178 else
1179 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs $this_lang_dirs\"
1180 fi
1181 ;;
1182 esac
1183 done
1184
1185 # Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1186 # $target_configdirs.
1187 # If we have the source for $noconfigdirs entries, add them to $notsupp.
1188
1189 notsupp=""
1190 for dir in . $skipdirs $noconfigdirs ; do
1191 dirname=`echo $dir | sed -e s/target-//g`
1192 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1193 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
1194 if [ -r $srcdir/$dirname/configure ] \
1195 || [ -r $srcdir/$dirname/configure.in ]; then
1196 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1197 true
1198 else
1199 notsupp="$notsupp $dir"
1200 fi
1201 fi
1202 fi
1203 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1204 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
1205 if [ -r $srcdir/$dirname/configure ] \
1206 || [ -r $srcdir/$dirname/configure.in ]; then
1207 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1208 true
1209 else
1210 notsupp="$notsupp $dir"
1211 fi
1212 fi
1213 fi
1214 done
1215
1216 # Sometimes the tools are distributed with libiberty but with no other
1217 # libraries. In that case, we don't want to build target-libiberty.
1218 if [ -n "${target_configdirs}" ]; then
1219 others=
1220 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1221 if [ "$i" != "libiberty" ]; then
1222 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
1223 others=yes;
1224 break;
1225 fi
1226 fi
1227 done
1228 if [ -z "${others}" ]; then
1229 target_configdirs=
1230 fi
1231 fi
1232
1233 # Deconfigure all subdirectories, in case we are changing the
1234 # configuration from one where a subdirectory is supported to one where it
1235 # is not.
1236 if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
1237 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1238 rm -f $i/Makefile
1239 done
1240 fi
1241 if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
1242 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1243 rm -f ${target_subdir}/$i/Makefile
1244 done
1245 fi
1246
1247 # Quietly strip out all directories which aren't configurable in this tree.
1248 # This relies on all configurable subdirectories being autoconfiscated, which
1249 # is now the case.
1250 configdirs_all="$configdirs"
1251 configdirs=
1252 for i in ${configdirs_all} ; do
1253 if test -f ${srcdir}/$i/configure ; then
1254 configdirs="${configdirs} $i"
1255 fi
1256 done
1257 target_configdirs_all="$target_configdirs"
1258 target_configdirs=
1259 for i in ${target_configdirs_all} ; do
1260 j=`echo $i | sed -e s/target-//g`
1261 if test -f ${srcdir}/$j/configure ; then
1262 target_configdirs="${target_configdirs} $i"
1263 fi
1264 done
1265
1266 # Produce a warning message for the subdirs we can't configure.
1267 # This isn't especially interesting in the Cygnus tree, but in the individual
1268 # FSF releases, it's important to let people know when their machine isn't
1269 # supported by the one or two programs in a package.
1270
1271 if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
1272 # If $appdirs is non-empty, at least one of those directories must still
1273 # be configured, or we error out. (E.g., if the gas release supports a
1274 # specified target in some subdirs but not the gas subdir, we shouldn't
1275 # pretend that all is well.)
1276 if [ -n "$appdirs" ]; then
1277 for dir in $appdirs ; do
1278 if [ -r $dir/Makefile.in ]; then
1279 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1280 appdirs=""
1281 break
1282 fi
1283 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1284 appdirs=""
1285 break
1286 fi
1287 fi
1288 done
1289 if [ -n "$appdirs" ]; then
1290 echo "*** This configuration is not supported by this package." 1>&2
1291 exit 1
1292 fi
1293 fi
1294 # Okay, some application will build, or we don't care to check. Still
1295 # notify of subdirs not getting built.
1296 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1297 echo " ${notsupp}" 1>&2
1298 echo " (Any other directories should still work fine.)" 1>&2
1299 fi
1300
1301 # Set with_gnu_as and with_gnu_ld as appropriate.
1302 #
1303 # This is done by determining whether or not the appropriate directory
1304 # is available, and by checking whether or not specific configurations
1305 # have requested that this magic not happen.
1306 #
1307 # The command line options always override the explicit settings in
1308 # configure.in, and the settings in configure.in override this magic.
1309 #
1310 # If the default for a toolchain is to use GNU as and ld, and you don't
1311 # want to do that, then you should use the --without-gnu-as and
1312 # --without-gnu-ld options for the configure script.
1313
1314 if [ x${use_gnu_as} = x ] ; then
1315 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
1316 with_gnu_as=yes
1317 withoptions="$withoptions --with-gnu-as"
1318 fi
1319 fi
1320
1321 if [ x${use_gnu_ld} = x ] ; then
1322 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
1323 with_gnu_ld=yes
1324 withoptions="$withoptions --with-gnu-ld"
1325 fi
1326 fi
1327
1328 # If using newlib, add --with-newlib to the withoptions so that gcc/configure
1329 # can detect this case.
1330
1331 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1332 with_newlib=yes
1333 withoptions="$withoptions --with-newlib"
1334 fi
1335
1336 if [ x${shared} = xyes ]; then
1337 case "${target}" in
1338 hppa* | parisc*)
1339 target_makefile_frag="${target_makefile_frag} config/mt-papic"
1340 ;;
1341 i[3456]86-*)
1342 target_makefile_frag="${target_makefile_frag} config/mt-x86pic"
1343 ;;
1344 ia64-*)
1345 target_makefile_frag="${target_makefile_frag} config/mt-ia64pic"
1346 ;;
1347 powerpc*-*-aix*)
1348 # We don't want -fPIC on AIX.
1349 ;;
1350 powerpc*-*)
1351 target_makefile_frag="${target_makefile_frag} config/mt-ppcpic"
1352 ;;
1353 alpha*-*-linux*)
1354 target_makefile_frag="${target_makefile_frag} config/mt-elfalphapic"
1355 ;;
1356 *)
1357 if test -f ${srcdir}/config/mt-${target_cpu}pic; then
1358 target_makefile_frag="${target_makefile_frag} config/mt-${target_cpu}pic"
1359 fi
1360 ;;
1361 esac
1362 fi
1363
1364 rm -f mt-frag
1365 if [ -n "${target_makefile_frag}" ] ; then
1366 for f in ${target_makefile_frag}
1367 do
1368 cat ${srcdir}/$f >> mt-frag
1369 done
1370 target_makefile_frag=mt-frag
1371 fi
1372
1373 # post-target:
1374
1375 # Make sure that the compiler is able to generate an executable. If it
1376 # can't, we are probably in trouble. We don't care whether we can run the
1377 # executable--we might be using a cross compiler--we only care whether it
1378 # can be created. At this point the main configure script has set CC.
1379 echo "int main () { return 0; }" > conftest.c
1380 ${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
1381 if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
1382 :
1383 else
1384 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1385 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1386 rm -f conftest*
1387 exit 1
1388 fi
1389 rm -f conftest*
1390
1391 # The Solaris /usr/ucb/cc compiler does not appear to work.
1392 case "${host}" in
1393 sparc-sun-solaris2*)
1394 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
1395 if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
1396 could_use=
1397 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
1398 if [ -d /opt/cygnus/bin ] ; then
1399 if [ "$could_use" = "" ] ; then
1400 could_use="/opt/cygnus/bin"
1401 else
1402 could_use="$could_use or /opt/cygnus/bin"
1403 fi
1404 fi
1405 if [ "$could_use" = "" ] ; then
1406 echo "Warning: compilation may fail because you're using"
1407 echo "/usr/ucb/cc. You should change your PATH or CC "
1408 echo "variable and rerun configure."
1409 else
1410 echo "Warning: compilation may fail because you're using"
1411 echo "/usr/ucb/cc, when you should use the C compiler from"
1412 echo "$could_use. You should change your"
1413 echo "PATH or CC variable and rerun configure."
1414 fi
1415 fi
1416 ;;
1417 esac
1418
1419 # If we're building libgcj and we're using the Solaris 2.8 linker,
1420 # then we check for a known problem.
1421 if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
1422 && test "${is_cross_compiler}" = no; then
1423
1424 case "${host}" in
1425 sparc-*-solaris2.8)
1426 if test "$libdir" = '${exec_prefix}/lib';then
1427 if test "$exec_prefix" = '$(prefix)'; then
1428 tlibdir="$prefix/lib"
1429 else
1430 tlibdir="$exec_prefix/lib"
1431 fi
1432 else
1433 tlibdir="$libdir"
1434 fi
1435 if test -f $tlibdir/libgcj.la; then
1436 echo "*** You've already installed libgcj in $tlibdir." 1>&2
1437 echo " This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
1438 echo " Either disable the libgcj build, or remove the" 1>&2
1439 echo " already-installed libgcj files." 1>&2
1440 exit 1
1441 fi
1442 ;;
1443 esac
1444 fi
1445
1446 # If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1447 # binutils tools will find libbfd.so.
1448 if [ "${shared}" = "yes" ]; then
1449 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1450 Makefile > Makefile.tem
1451 rm -f Makefile
1452 mv -f Makefile.tem Makefile
1453
1454 case "${host}" in
1455 *-*-hpux*)
1456 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1457 Makefile > Makefile.tem
1458 rm -f Makefile
1459 mv -f Makefile.tem Makefile
1460 ;;
1461 esac
1462 fi
1463
1464 # Record target_configdirs and the configure arguments for target and
1465 # build configuration in Makefile.
1466 target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1467 targargs=`echo "${arguments}" | \
1468 sed -e 's/--no[^ ]*//' \
1469 -e 's/--cache[a-z-]*=[^ ]*//' \
1470 -e 's/--ho[a-z-]*=[^ ]*//' \
1471 -e 's/--bu[a-z-]*=[^ ]*//' \
1472 -e 's/--ta[a-z-]*=[^ ]*//'`
1473
1474 # For the build-side libraries, we just need to pretend we're native,
1475 # and not use the same cache file. Multilibs are neither needed nor
1476 # desired.
1477 buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1478
1479 # Passing a --with-cross-host argument lets the target libraries know
1480 # whether they are being built with a cross-compiler or being built
1481 # native. However, it would be better to use other mechanisms to make the
1482 # sorts of decisions they want to make on this basis. Please consider
1483 # this option to be deprecated. FIXME.
1484 if [ x${is_cross_compiler} = xyes ]; then
1485 targargs="--with-cross-host=${host_alias} ${targargs}"
1486 fi
1487
1488 # Default to --enable-multilib.
1489 if [ x${enable_multilib} = x ]; then
1490 targargs="--enable-multilib ${targargs}"
1491 fi
1492
1493 # Pass --with-newlib if appropriate. Note that target_configdirs has
1494 # changed from the earlier setting of with_newlib.
1495 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1496 targargs="--with-newlib ${targargs}"
1497 fi
1498
1499 # Pass the appropriate --host, --build, and --cache-file arguments.
1500 targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1501
1502 # provide a proper gxx_include_dir.
1503 # Note, if you change the default, make sure to fix both here and in
1504 # the gcc and libstdc++-v3 subdirectories.
1505 # Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1506 gxx_include_dir=
1507 if test -n "${with_gxx_include_dir}"; then
1508 case "${with_gxx_include_dir}" in
1509 yes )
1510 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1511 exit 1
1512 ;;
1513 no )
1514 ;;
1515 * )
1516 gxx_include_dir=${with_gxx_include_dir}
1517 ;;
1518 esac
1519 fi
1520 if test x${gxx_include_dir} = x; then
1521 if test x${enable_version_specific_runtime_libs} = xyes; then
1522 gxx_include_dir='${libsubdir}/include/g++'
1523 else
1524 . ${topsrcdir}/config.if
1525 gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
1526 fi
1527 else
1528 gxx_include_dir=${gxx_include_dir}
1529 fi
1530
1531 FLAGS_FOR_TARGET=
1532 case " $skipdirs " in
1533 *" target-newlib "*) ;;
1534 *)
1535 case " $target_configdirs " in
1536 *" newlib "*)
1537 case " $targargs " in
1538 *" --with-newlib "*)
1539 case "$target" in
1540 *-cygwin*)
1541 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1542 esac
1543
1544 # If we're not building GCC, don't discard standard headers.
1545 if test -d ${topsrcdir}/gcc; then
1546 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
1547
1548 if test "${build}" != "${host}"; then
1549 # On Canadian crosses, CC_FOR_TARGET will have already been set
1550 # by `configure', so we won't have an opportunity to add -Bgcc/
1551 # to it. This is right: we don't want to search that directory
1552 # for binaries, but we want the header files in there, so add
1553 # them explicitly.
1554 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1555
1556 # Someone might think of using the pre-installed headers on
1557 # Canadian crosses, in case the installed compiler is not fully
1558 # compatible with the compiler being built. In this case, it
1559 # would be better to flag an error than risking having
1560 # incompatible object files being constructed. We can't
1561 # guarantee that an error will be flagged, but let's hope the
1562 # compiler will do it, when presented with incompatible header
1563 # files.
1564 fi
1565 fi
1566
1567 case "${target}-${is_cross_compiler}" in
1568 i[3456]86-pc-linux*-no)
1569 # Here host == target, so we don't need to build gcc,
1570 # so we don't want to discard standard headers.
1571 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1572 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1573 ;;
1574 *)
1575 # If we're building newlib, use its generic headers last, but search
1576 # for any libc-related directories first (so make it the last -B
1577 # switch).
1578 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1579 ;;
1580 esac
1581 ;;
1582 esac
1583 ;;
1584 esac
1585 ;;
1586 esac
1587
1588 # On Canadian crosses, we'll be searching the right directories for
1589 # the previously-installed cross compiler, so don't bother to add
1590 # flags for directories within the install tree of the compiler
1591 # being built; programs in there won't even run.
1592 if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
1593 # Search for pre-installed headers if nothing else fits.
1594 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1595 fi
1596
1597 if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1598 echo " ${configdirs} " | grep " ld " > /dev/null &&
1599 test -d ${srcdir}/ld; then
1600 # Arrange for us to find uninstalled linker scripts.
1601 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1602 fi
1603
1604 if test "x${CC_FOR_TARGET+set}" = xset; then
1605 :
1606 elif test -d ${topsrcdir}/gcc; then
1607 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
1608 elif test "$host" = "$target"; then
1609 CC_FOR_TARGET='$(CC)'
1610 else
1611 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1612 fi
1613 # On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1614 # if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1615 case $CC_FOR_TARGET in
1616 *' $(FLAGS_FOR_TARGET)') ;;
1617 *) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1618 esac
1619
1620 if test "x${GCJ_FOR_TARGET+set}" = xset; then
1621 :
1622 elif test -d ${topsrcdir}/gcc; then
1623 GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
1624 elif test "$host" = "$target"; then
1625 GCJ_FOR_TARGET='gcj'
1626 else
1627 GCJ_FOR_TARGET=`echo gcj | sed -e 's/x/x/' ${program_transform_name}`
1628 fi
1629 case $GCJ_FOR_TARGET in
1630 *' $(FLAGS_FOR_TARGET)') ;;
1631 *) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1632 esac
1633
1634 if test "x${CXX_FOR_TARGET+set}" = xset; then
1635 :
1636 elif test -d ${topsrcdir}/gcc; then
1637 # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
1638 # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
1639 # default whereas gcc does not.
1640 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3 | libjava) echo xgcc -shared-libgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
1641 elif test "$host" = "$target"; then
1642 CXX_FOR_TARGET='$(CXX)'
1643 else
1644 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1645 fi
1646 case $CXX_FOR_TARGET in
1647 *' $(FLAGS_FOR_TARGET)') ;;
1648 *) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1649 esac
1650 qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1651
1652 # We want to defer the evaluation of `cmd`s and shell variables in
1653 # CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1654 # bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1655 # quotes, but we still have to duplicate `$'s so that shell variables
1656 # can be expanded by the nested make as shell variables, not as make
1657 # macros.
1658 qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
1659
1660 sedtemp=sed.$$
1661 cat >$sedtemp <<EOF
1662 s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:
1663 s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%
1664 s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%
1665 s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%
1666 s%^GCJ_FOR_TARGET[ ]*=.*$%GCJ_FOR_TARGET = ${GCJ_FOR_TARGET}%
1667 s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%
1668 s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%
1669 s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%
1670 s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%
1671 s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%
1672 s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%
1673 EOF
1674 sed -f $sedtemp Makefile > Makefile.tem
1675 rm -f Makefile $sedtemp
1676 mv -f Makefile.tem Makefile
1677
1678 #
1679 # Local Variables:
1680 # fill-column: 131
1681 # End:
1682 #
This page took 0.068044 seconds and 4 git commands to generate.